- [HTTP request](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.eventThreatDetectionSettings.customModules/listDescendant#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.eventThreatDetectionSettings.customModules/listDescendant#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.eventThreatDetectionSettings.customModules/listDescendant#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.eventThreatDetectionSettings.customModules/listDescendant#body.request_body)
- [Response body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.eventThreatDetectionSettings.customModules/listDescendant#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.eventThreatDetectionSettings.customModules/listDescendant#body.aspect)
- [Try it!](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.eventThreatDetectionSettings.customModules/listDescendant#try-it)

Lists all resident Event Threat Detection custom modules under the given Resource Manager parent and its descendants.

### IAM Permissions

Requires the following IAM permission on the resource specified in the `parent` field:

- `securitycenter.eventthreatdetectioncustommodules.list`

### HTTP request

Choose an endpoint:
global me-central2 us eu   
`GET https://securitycenter.googleapis.com/v1/{parent=organizations/*/eventThreatDetectionSettings}/customModules:listDescendant`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Name of the parent to list custom modules under. Its format is: - `organizations/{organization}/eventThreatDetectionSettings`. - `folders/{folder}/eventThreatDetectionSettings`. - `projects/{project}/eventThreatDetectionSettings`. |

### Query parameters

| Parameters ||
|---|---|
| `pageToken` | `string` A page token, received from a previous `customModules.listDescendant` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `customModules.listDescendant` must match the call that provided the page token. |
| `pageSize` | `integer` The maximum number of modules to return. The service may return fewer than this value. If unspecified, at most 10 configs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/ListDescendantEventThreatDetectionCustomModulesResponse`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/securitycenter`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).